## karp 0+p24.04+vunstable+git20250905.0838

=== debian/changelog ===
karp (0+p24.04+vunstable+git20250905.0838-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Sep 2025 08:38:45 +0000

karp (0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:13:01 +0000
