=== debian/control ===
Source: karp
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               libqpdf-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/graphics/karp
Vcs-Git: https://invent.kde.org/neon/neon-packaging/karp.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/karp
Maintainer: Neon CI <neon@kde.org>

Package: karp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Gives simple UI for PDF files modification.
 With a few mouse strokes user can:
 -   Append more PDF files and merge
 -   Delete, rotate and reorder pages
 -   Reduce PDF file size
 -   Optimize images
 -   View and modify PDF properties
 -   Protect PDF with password
