## karp 0+p24.04+vunstable+git20251020.0327

=== debian/changelog ===
karp (0+p24.04+vunstable+git20251020.0327-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:27:55 +0000
