## karp 0+p24.04+vunstable+git20251114.0708

=== debian/changelog ===
karp (0+p24.04+vunstable+git20251114.0708-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 14 Nov 2025 07:08:48 +0000
