## karp 0+p24.04+vunstable+git20260123.0431

=== debian/changelog ===
karp (0+p24.04+vunstable+git20260123.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 04:31:26 +0000
