## karp 0+p24.04+vunstable+git20260201.0649

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,8 +61,8 @@
     PURPOSE "Required application components and runtime dependency"
 )
 
-ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.16.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+    KF 6.19.0
 )
 
 find_package(qpdf REQUIRED)
